classification
Title: time module still has Y2K issues note
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Elizacat, SilentGhost, benjamin.peterson, callumquick, docs@python, miss-islington
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2017-01-14 15:46 by Elizacat, last changed 2019-11-22 17:03 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17321 merged callumquick, 2019-11-21 13:59
PR 17348 merged miss-islington, 2019-11-22 16:57
PR 17349 merged miss-islington, 2019-11-22 16:57
Messages (6)
msg285489 - (view) Author: Elizabeth Myers (Elizacat) * Date: 2017-01-14 15:46
It's 2017. I think it's time to remove the Y2K warning from this: https://docs.python.org/3/library/time.html :P. It's 17 years past the sell-by date for that notice.
msg285496 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2017-01-14 18:14
The main message there is about the parsing of the two-digit year, so while it might worth it to remove the mention of Y2K, it would only be a minor change.
msg357158 - (view) Author: Callum Ward (callumquick) * Date: 2019-11-21 11:08
I'd like to work on this issue. I'll come up with a PR today.
msg357299 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-11-22 16:57
New changeset 42bc60ead39c7be9f6bb7329977826e962f601eb by Benjamin Peterson (Callum Ward) in branch 'master':
closes bpo-29275: Remove Y2K reference from time module docs (GH-17321)
https://github.com/python/cpython/commit/42bc60ead39c7be9f6bb7329977826e962f601eb
msg357300 - (view) Author: miss-islington (miss-islington) Date: 2019-11-22 17:03
New changeset c58a8116475fc9e90fe87b150cde4e535173ec1c by Miss Islington (bot) in branch '3.7':
closes bpo-29275: Remove Y2K reference from time module docs (GH-17321)
https://github.com/python/cpython/commit/c58a8116475fc9e90fe87b150cde4e535173ec1c
msg357301 - (view) Author: miss-islington (miss-islington) Date: 2019-11-22 17:03
New changeset ca5fafc2bbda9373c9ab12b76d17614585cffc23 by Miss Islington (bot) in branch '3.8':
closes bpo-29275: Remove Y2K reference from time module docs (GH-17321)
https://github.com/python/cpython/commit/ca5fafc2bbda9373c9ab12b76d17614585cffc23
History
Date User Action Args
2019-11-22 17:03:54miss-islingtonsetmessages: + msg357301
2019-11-22 17:03:07miss-islingtonsetnosy: + miss-islington
messages: + msg357300
2019-11-22 16:57:34miss-islingtonsetpull_requests: + pull_request16833
2019-11-22 16:57:27miss-islingtonsetpull_requests: + pull_request16832
2019-11-22 16:57:18benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg357299

resolution: fixed
stage: patch review -> resolved
2019-11-21 13:59:27callumquicksetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request16807
2019-11-21 11:08:53callumquicksetnosy: + callumquick
messages: + msg357158
2019-11-18 06:50:13zach.waresetkeywords: + easy, newcomer friendly
stage: needs patch
versions: + Python 3.8, Python 3.9, - Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6
2017-01-14 18:14:32SilentGhostsetnosy: + SilentGhost
messages: + msg285496
2017-01-14 15:50:46Elizacatsettype: enhancement
2017-01-14 15:46:18Elizacatcreate